Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model
Interface ModelPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ModelPackageImpl

    public interface ModelPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `ModelFactory`

Nested Class Summary
`static interface` | `ModelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `DOMAIN_INTERMEDIATE` The meta object id for the '`Domain Intermediate`' class.
`static int` | `DOMAIN_INTERMEDIATE__TEST_ELEMENT_CONTAINER` The feature id for the 'Test Element Container' containment reference.
`static int` | `DOMAIN_INTERMEDIATE_FEATURE_COUNT` The number of structural features of the 'Domain Intermediate' class.
`static int` | `DOMAIN_ROOT` The meta object id for the '`Domain Root`' class.
`static int` | `DOMAIN_ROOT__INTERMEDIATE` The feature id for the 'Intermediate' containment reference.
`static int` | `DOMAIN_ROOT_FEATURE_COUNT` The number of structural features of the 'Domain Root' class.
`static int` | `DYNAMIC_CONTAINMENT_ITEM` The meta object id for the '`Dynamic Containment Item`' class.
`static int` | `DYNAMIC_CONTAINMENT_ITEM__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `DYNAMIC_CONTAINMENT_ITEM__BASE_ITEM_INDEX` The feature id for the 'Base Item Index' attribute.
`static int` | `DYNAMIC_CONTAINMENT_ITEM__COMPOSITE` The feature id for the 'Composite' containment reference.
`static int` | `DYNAMIC_CONTAINMENT_ITEM__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `DYNAMIC_CONTAINMENT_ITEM__DOMAIN_MODEL` The feature id for the 'Domain Model' reference.
`static int` | `DYNAMIC_CONTAINMENT_ITEM__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `DYNAMIC_CONTAINMENT_ITEM__ITEMS` The feature id for the 'Items' containment reference list.
`static int` | `DYNAMIC_CONTAINMENT_ITEM__LABEL_OBJECT` The feature id for the 'Label Object' reference.
`static int` | `DYNAMIC_CONTAINMENT_ITEM__NAME` The feature id for the 'Name' attribute.
`static int` | `DYNAMIC_CONTAINMENT_ITEM__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `DYNAMIC_CONTAINMENT_ITEM__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `DYNAMIC_CONTAINMENT_ITEM_FEATURE_COUNT` The number of structural features of the 'Dynamic Containment Item' class.
`static int` | `DYNAMIC_CONTAINMENT_TREE` The meta object id for the '`Dynamic Containment Tree`' class.
`static int` | `DYNAMIC_CONTAINMENT_TREE__ACTIONS` The feature id for the 'Actions' containment reference list.
`static int` | `DYNAMIC_CONTAINMENT_TREE__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `DYNAMIC_CONTAINMENT_TREE__CHILD_COMPOSITE` The feature id for the 'Child Composite' containment reference.
`static int` | `DYNAMIC_CONTAINMENT_TREE__CHILD_REFERENCE` The feature id for the 'Child Reference' reference.
`static int` | `DYNAMIC_CONTAINMENT_TREE__COMPOSITE` The feature id for the 'Composite' containment reference.
`static int` | `DYNAMIC_CONTAINMENT_TREE__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `DYNAMIC_CONTAINMENT_TREE__DOMAIN_MODEL` The feature id for the 'Domain Model' reference.
`static int` | `DYNAMIC_CONTAINMENT_TREE__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `DYNAMIC_CONTAINMENT_TREE__ITEMS` The feature id for the 'Items' containment reference list.
`static int` | `DYNAMIC_CONTAINMENT_TREE__LABEL_OBJECT` The feature id for the 'Label Object' reference.
`static int` | `DYNAMIC_CONTAINMENT_TREE__NAME` The feature id for the 'Name' attribute.
`static int` | `DYNAMIC_CONTAINMENT_TREE__PATH_TO_ROOT` The feature id for the 'Path To Root' reference list.
`static int` | `DYNAMIC_CONTAINMENT_TREE__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `DYNAMIC_CONTAINMENT_TREE__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE` The meta object id for the ' `Dynamic Containment Tree Domain Model Reference`' class.
`static int` | `DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER` The feature id for the 'Change Listener' attribute list.
`static int` | `DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_BASE` The feature id for the 'Path From Base' containment reference.
`static int` | `DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_ROOT` The feature id for the 'Path From Root' containment reference.
`static int` | `DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Dynamic Containment Tree Domain Model Reference' class.
`static int` | `DYNAMIC_CONTAINMENT_TREE_FEATURE_COUNT` The number of structural features of the 'Dynamic Containment Tree' class.
`static ModelPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `TEST_ELEMENT` The meta object id for the '`Test Element`' class.
`static int` | `TEST_ELEMENT__ELEMENTS` The feature id for the 'Elements' containment reference list.
`static int` | `TEST_ELEMENT__ID` The feature id for the 'Id' attribute.
`static int` | `TEST_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` | `TEST_ELEMENT__PARENT_ID` The feature id for the 'Parent Id' attribute.
`static int` | `TEST_ELEMENT_CONTAINER` The meta object id for the '`Test Element Container`' class.
`static int` | `TEST_ELEMENT_CONTAINER__ID` The feature id for the 'Id' attribute.
`static int` | `TEST_ELEMENT_CONTAINER__TEST_ELEMENTS` The feature id for the 'Test Elements' containment reference list.
`static int` | `TEST_ELEMENT_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Test Element Container' class.
`static int` | `TEST_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Test Element' class.

Method Summary
`org.eclipse.emf.ecore.EReference` | `getDomainIntermediate_TestElementContainer()` Returns the meta object for the containment reference ' `Test Element Container`'.
`org.eclipse.emf.ecore.EClass` | `getDomainIntermediate()` Returns the meta object for class '`Domain Intermediate`'.
`org.eclipse.emf.ecore.EReference` | `getDomainRoot_Intermediate()` Returns the meta object for the containment reference ' `Intermediate`'.
`org.eclipse.emf.ecore.EClass` | `getDomainRoot()` Returns the meta object for class '`Domain Root`'.
`org.eclipse.emf.ecore.EAttribute` | `getDynamicContainmentItem_BaseItemIndex()` Returns the meta object for the attribute ' `Base Item Index`'.
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentItem_Composite()` Returns the meta object for the containment reference ' `Composite`'.
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentItem_DomainModel()` Returns the meta object for the reference ' `Domain Model`'.
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentItem_Items()` Returns the meta object for the containment reference list ' `Items`'.
`org.eclipse.emf.ecore.EClass` | `getDynamicContainmentItem()` Returns the meta object for class '`Dynamic Containment Item`'.
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTree_ChildComposite()` Returns the meta object for the containment reference ' `Child Composite`'.
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTree_ChildReference()` Returns the meta object for the reference ' `Child Reference`'.
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTree_DomainModel()` Returns the meta object for the reference ' `Domain Model`'.
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTree_Items()` Returns the meta object for the containment reference list ' `Items`'.
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTree_PathToRoot()` Returns the meta object for the reference list ' `Path To Root`'.
`org.eclipse.emf.ecore.EClass` | `getDynamicContainmentTree()` Returns the meta object for class '`Dynamic Containment Tree`'.
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTreeDomainModelReference_PathFromBase()` Returns the meta object for the containment reference ' `Path From Base`'.
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTreeDomainModelReference_PathFromRoot()` Returns the meta object for the containment reference ' `Path From Root`'.
`org.eclipse.emf.ecore.EClass` | `getDynamicContainmentTreeDomainModelReference()` Returns the meta object for class ' `Dynamic Containment Tree Domain Model Reference`'.
`ModelFactory` | `getModelFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getTestElement_Elements()` Returns the meta object for the containment reference list ' `Elements`'.
`org.eclipse.emf.ecore.EAttribute` | `getTestElement_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getTestElement_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getTestElement_ParentId()` Returns the meta object for the attribute ' `Parent Id`'.
`org.eclipse.emf.ecore.EClass` | `getTestElement()` Returns the meta object for class '`Test Element`'.
`org.eclipse.emf.ecore.EAttribute` | `getTestElementContainer_Id()` Returns the meta object for the attribute ' `Id`'.
`org.eclipse.emf.ecore.EReference` | `getTestElementContainer_TestElements()` Returns the meta object for the containment reference list ' `Test Elements`'.
`org.eclipse.emf.ecore.EClass` | `getTestElementContainer()` Returns the meta object for class '`Test Element Container`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final ModelPackage eINSTANCE

  The singleton instance of the package.

### DYNAMIC_CONTAINMENT_TREE

    static final int DYNAMIC_CONTAINMENT_TREE

  The meta object id for the '`Dynamic Containment Tree`' class.

  See Also:
    `DynamicContainmentTreeImpl`, `ModelPackageImpl.getDynamicContainmentTree()`, Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__NAME

    static final int DYNAMIC_CONTAINMENT_TREE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__VISIBLE

    static final int DYNAMIC_CONTAINMENT_TREE__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__ENABLED

    static final int DYNAMIC_CONTAINMENT_TREE__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__READONLY

    static final int DYNAMIC_CONTAINMENT_TREE__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__DIAGNOSTIC

    static final int DYNAMIC_CONTAINMENT_TREE__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__ATTACHMENTS

    static final int DYNAMIC_CONTAINMENT_TREE__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__LABEL_OBJECT

    static final int DYNAMIC_CONTAINMENT_TREE__LABEL_OBJECT

  The feature id for the 'Label Object' reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__ACTIONS

    static final int DYNAMIC_CONTAINMENT_TREE__ACTIONS

  The feature id for the 'Actions' containment reference list.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__COMPOSITE

    static final int DYNAMIC_CONTAINMENT_TREE__COMPOSITE

  The feature id for the 'Composite' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__DOMAIN_MODEL

    static final int DYNAMIC_CONTAINMENT_TREE__DOMAIN_MODEL

  The feature id for the 'Domain Model' reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__CHILD_REFERENCE

    static final int DYNAMIC_CONTAINMENT_TREE__CHILD_REFERENCE

  The feature id for the 'Child Reference' reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__PATH_TO_ROOT

    static final int DYNAMIC_CONTAINMENT_TREE__PATH_TO_ROOT

  The feature id for the 'Path To Root' reference list.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__CHILD_COMPOSITE

    static final int DYNAMIC_CONTAINMENT_TREE__CHILD_COMPOSITE

  The feature id for the 'Child Composite' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE__ITEMS

    static final int DYNAMIC_CONTAINMENT_TREE__ITEMS

  The feature id for the 'Items' containment reference list.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE_FEATURE_COUNT

    static final int DYNAMIC_CONTAINMENT_TREE_FEATURE_COUNT

  The number of structural features of the 'Dynamic Containment Tree' class.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM

    static final int DYNAMIC_CONTAINMENT_ITEM

  The meta object id for the '`Dynamic Containment Item`' class.

  See Also:
    `DynamicContainmentItemImpl`, `ModelPackageImpl.getDynamicContainmentItem()`, Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM__NAME

    static final int DYNAMIC_CONTAINMENT_ITEM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM__VISIBLE

    static final int DYNAMIC_CONTAINMENT_ITEM__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM__ENABLED

    static final int DYNAMIC_CONTAINMENT_ITEM__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM__READONLY

    static final int DYNAMIC_CONTAINMENT_ITEM__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM__DIAGNOSTIC

    static final int DYNAMIC_CONTAINMENT_ITEM__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM__ATTACHMENTS

    static final int DYNAMIC_CONTAINMENT_ITEM__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM__LABEL_OBJECT

    static final int DYNAMIC_CONTAINMENT_ITEM__LABEL_OBJECT

  The feature id for the 'Label Object' reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM__DOMAIN_MODEL

    static final int DYNAMIC_CONTAINMENT_ITEM__DOMAIN_MODEL

  The feature id for the 'Domain Model' reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM__ITEMS

    static final int DYNAMIC_CONTAINMENT_ITEM__ITEMS

  The feature id for the 'Items' containment reference list.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM__COMPOSITE

    static final int DYNAMIC_CONTAINMENT_ITEM__COMPOSITE

  The feature id for the 'Composite' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM__BASE_ITEM_INDEX

    static final int DYNAMIC_CONTAINMENT_ITEM__BASE_ITEM_INDEX

  The feature id for the 'Base Item Index' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_ITEM_FEATURE_COUNT

    static final int DYNAMIC_CONTAINMENT_ITEM_FEATURE_COUNT

  The number of structural features of the 'Dynamic Containment Item' class.

  See Also:
    Constant Field Values

### TEST_ELEMENT

    static final int TEST_ELEMENT

  The meta object id for the '`Test Element`' class.

  See Also:
    `TestElementImpl`, `ModelPackageImpl.getTestElement()`, Constant Field Values

### TEST_ELEMENT__ID

    static final int TEST_ELEMENT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### TEST_ELEMENT__ELEMENTS

    static final int TEST_ELEMENT__ELEMENTS

  The feature id for the 'Elements' containment reference list.

  See Also:
    Constant Field Values

### TEST_ELEMENT__PARENT_ID

    static final int TEST_ELEMENT__PARENT_ID

  The feature id for the 'Parent Id' attribute.

  See Also:
    Constant Field Values

### TEST_ELEMENT__NAME

    static final int TEST_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TEST_ELEMENT_FEATURE_COUNT

    static final int TEST_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Test Element' class.

  See Also:
    Constant Field Values

### DOMAIN_ROOT

    static final int DOMAIN_ROOT

  The meta object id for the '`Domain Root`' class.

  See Also:
    `DomainRootImpl`, `ModelPackageImpl.getDomainRoot()`, Constant Field Values

### DOMAIN_ROOT__INTERMEDIATE

    static final int DOMAIN_ROOT__INTERMEDIATE

  The feature id for the 'Intermediate' containment reference.

  See Also:
    Constant Field Values

### DOMAIN_ROOT_FEATURE_COUNT

    static final int DOMAIN_ROOT_FEATURE_COUNT

  The number of structural features of the 'Domain Root' class.

  See Also:
    Constant Field Values

### DOMAIN_INTERMEDIATE

    static final int DOMAIN_INTERMEDIATE

  The meta object id for the '`Domain Intermediate`' class.

  See Also:
    `DomainIntermediateImpl`, `ModelPackageImpl.getDomainIntermediate()`, Constant Field Values

### DOMAIN_INTERMEDIATE__TEST_ELEMENT_CONTAINER

    static final int DOMAIN_INTERMEDIATE__TEST_ELEMENT_CONTAINER

  The feature id for the 'Test Element Container' containment reference.

  See Also:
    Constant Field Values

### DOMAIN_INTERMEDIATE_FEATURE_COUNT

    static final int DOMAIN_INTERMEDIATE_FEATURE_COUNT

  The number of structural features of the 'Domain Intermediate' class.

  See Also:
    Constant Field Values

### TEST_ELEMENT_CONTAINER

    static final int TEST_ELEMENT_CONTAINER

  The meta object id for the '`Test Element Container`' class.

  See Also:
    `TestElementContainerImpl`, `ModelPackageImpl.getTestElementContainer()`, Constant Field Values

### TEST_ELEMENT_CONTAINER__TEST_ELEMENTS

    static final int TEST_ELEMENT_CONTAINER__TEST_ELEMENTS

  The feature id for the 'Test Elements' containment reference list.

  See Also:
    Constant Field Values

### TEST_ELEMENT_CONTAINER__ID

    static final int TEST_ELEMENT_CONTAINER__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### TEST_ELEMENT_CONTAINER_FEATURE_COUNT

    static final int TEST_ELEMENT_CONTAINER_FEATURE_COUNT

  The number of structural features of the 'Test Element Container' class.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE

    static final int DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE

  The meta object id for the ' `Dynamic Containment Tree Domain Model Reference`' class.

  See Also:
    `DynamicContainmentTreeDomainModelReferenceImpl`, `ModelPackageImpl.getDynamicContainmentTreeDomainModelReference()`, Constant Field Values

### DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

    static final int DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

  The feature id for the 'Change Listener' attribute list.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_ROOT

    static final int DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_ROOT

  The feature id for the 'Path From Root' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_BASE

    static final int DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_BASE

  The feature id for the 'Path From Base' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

    static final int DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

  The number of structural features of the 'Dynamic Containment Tree Domain Model Reference' class.

  See Also:
    Constant Field Values

Method Detail

### getDynamicContainmentTree

    org.eclipse.emf.ecore.EClass getDynamicContainmentTree()

  Returns the meta object for class '`Dynamic Containment Tree`'.

  Returns:
    the meta object for class 'Dynamic Containment Tree'.
  See Also:
    `DynamicContainmentTree`

### getDynamicContainmentTree_DomainModel

    org.eclipse.emf.ecore.EReference getDynamicContainmentTree_DomainModel()

  Returns the meta object for the reference ' `Domain Model`'.

  Returns:
    the meta object for the reference 'Domain Model'.
  See Also:
    `DynamicContainmentTree.getDomainModel()`, `getDynamicContainmentTree()`

### getDynamicContainmentTree_ChildReference

    org.eclipse.emf.ecore.EReference getDynamicContainmentTree_ChildReference()

  Returns the meta object for the reference ' `Child Reference`'.

  Returns:
    the meta object for the reference 'Child Reference'.
  See Also:
    `DynamicContainmentTree.getChildReference()`, `getDynamicContainmentTree()`

### getDynamicContainmentTree_PathToRoot

    org.eclipse.emf.ecore.EReference getDynamicContainmentTree_PathToRoot()

  Returns the meta object for the reference list ' `Path To Root`'.

  Returns:
    the meta object for the reference list 'Path To Root'.
  See Also:
    `DynamicContainmentTree.getPathToRoot()`, `getDynamicContainmentTree()`

### getDynamicContainmentTree_ChildComposite

    org.eclipse.emf.ecore.EReference getDynamicContainmentTree_ChildComposite()

  Returns the meta object for the containment reference ' `Child Composite`'.

  Returns:
    the meta object for the containment reference 'Child Composite'.
  See Also:
    `DynamicContainmentTree.getChildComposite()`, `getDynamicContainmentTree()`

### getDynamicContainmentTree_Items

    org.eclipse.emf.ecore.EReference getDynamicContainmentTree_Items()

  Returns the meta object for the containment reference list ' `Items`'.

  Returns:
    the meta object for the containment reference list 'Items'.
  See Also:
    `DynamicContainmentTree.getItems()`, `getDynamicContainmentTree()`

### getDynamicContainmentItem

    org.eclipse.emf.ecore.EClass getDynamicContainmentItem()

  Returns the meta object for class '`Dynamic Containment Item`'.

  Returns:
    the meta object for class 'Dynamic Containment Item'.
  See Also:
    `DynamicContainmentItem`

### getDynamicContainmentItem_DomainModel

    org.eclipse.emf.ecore.EReference getDynamicContainmentItem_DomainModel()

  Returns the meta object for the reference ' `Domain Model`'.

  Returns:
    the meta object for the reference 'Domain Model'.
  See Also:
    `DynamicContainmentItem.getDomainModel()`, `getDynamicContainmentItem()`

### getDynamicContainmentItem_Items

    org.eclipse.emf.ecore.EReference getDynamicContainmentItem_Items()

  Returns the meta object for the containment reference list ' `Items`'.

  Returns:
    the meta object for the containment reference list 'Items'.
  See Also:
    `DynamicContainmentItem.getItems()`, `getDynamicContainmentItem()`

### getDynamicContainmentItem_Composite

    org.eclipse.emf.ecore.EReference getDynamicContainmentItem_Composite()

  Returns the meta object for the containment reference ' `Composite`'.

  Returns:
    the meta object for the containment reference 'Composite'.
  See Also:
    `DynamicContainmentItem.getComposite()`, `getDynamicContainmentItem()`

### getDynamicContainmentItem_BaseItemIndex

    org.eclipse.emf.ecore.EAttribute getDynamicContainmentItem_BaseItemIndex()

  Returns the meta object for the attribute ' `Base Item Index`'.

  Returns:
    the meta object for the attribute 'Base Item Index'.
  See Also:
    `DynamicContainmentItem.getBaseItemIndex()`, `getDynamicContainmentItem()`

### getTestElement

    org.eclipse.emf.ecore.EClass getTestElement()

  Returns the meta object for class '`Test Element`'.

  Returns:
    the meta object for class 'Test Element'.
  See Also:
    `TestElement`

### getTestElement_Id

    org.eclipse.emf.ecore.EAttribute getTestElement_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `TestElement.getId()`, `getTestElement()`

### getTestElement_Elements

    org.eclipse.emf.ecore.EReference getTestElement_Elements()

  Returns the meta object for the containment reference list ' `Elements`'.

  Returns:
    the meta object for the containment reference list 'Elements'.
  See Also:
    `TestElement.getElements()`, `getTestElement()`

### getTestElement_ParentId

    org.eclipse.emf.ecore.EAttribute getTestElement_ParentId()

  Returns the meta object for the attribute ' `Parent Id`'.

  Returns:
    the meta object for the attribute 'Parent Id'.
  See Also:
    `TestElement.getParentId()`, `getTestElement()`

### getTestElement_Name

    org.eclipse.emf.ecore.EAttribute getTestElement_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `TestElement.getName()`, `getTestElement()`

### getDomainRoot

    org.eclipse.emf.ecore.EClass getDomainRoot()

  Returns the meta object for class '`Domain Root`'.

  Returns:
    the meta object for class 'Domain Root'.
  See Also:
    `DomainRoot`

### getDomainRoot_Intermediate

    org.eclipse.emf.ecore.EReference getDomainRoot_Intermediate()

  Returns the meta object for the containment reference ' `Intermediate`'.

  Returns:
    the meta object for the containment reference 'Intermediate'.
  See Also:
    `DomainRoot.getIntermediate()`, `getDomainRoot()`

### getDomainIntermediate

    org.eclipse.emf.ecore.EClass getDomainIntermediate()

  Returns the meta object for class '`Domain Intermediate`'.

  Returns:
    the meta object for class 'Domain Intermediate'.
  See Also:
    `DomainIntermediate`

### getDomainIntermediate_TestElementContainer

    org.eclipse.emf.ecore.EReference getDomainIntermediate_TestElementContainer()

  Returns the meta object for the containment reference ' `Test Element Container`'.

  Returns:
    the meta object for the containment reference 'Test Element Container'.
  See Also:
    `DomainIntermediate.getTestElementContainer()`, `getDomainIntermediate()`

### getTestElementContainer

    org.eclipse.emf.ecore.EClass getTestElementContainer()

  Returns the meta object for class '`Test Element Container`'.

  Returns:
    the meta object for class 'Test Element Container'.
  See Also:
    `TestElementContainer`

### getTestElementContainer_TestElements

    org.eclipse.emf.ecore.EReference getTestElementContainer_TestElements()

  Returns the meta object for the containment reference list ' `Test Elements`'.

  Returns:
    the meta object for the containment reference list 'Test Elements'.
  See Also:
    `TestElementContainer.getTestElements()`, `getTestElementContainer()`

### getTestElementContainer_Id

    org.eclipse.emf.ecore.EAttribute getTestElementContainer_Id()

  Returns the meta object for the attribute ' `Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `TestElementContainer.getId()`, `getTestElementContainer()`

### getDynamicContainmentTreeDomainModelReference

    org.eclipse.emf.ecore.EClass getDynamicContainmentTreeDomainModelReference()

  Returns the meta object for class ' `Dynamic Containment Tree Domain Model Reference`'.

  Returns:
    the meta object for class 'Dynamic Containment Tree Domain Model Reference'.
  See Also:
    `DynamicContainmentTreeDomainModelReference`

### getDynamicContainmentTreeDomainModelReference_PathFromRoot

    org.eclipse.emf.ecore.EReference getDynamicContainmentTreeDomainModelReference_PathFromRoot()

  Returns the meta object for the containment reference ' `Path From Root`'.

  Returns:
    the meta object for the containment reference 'Path From Root'.
  See Also:
    `DynamicContainmentTreeDomainModelReference.getPathFromRoot()`, `getDynamicContainmentTreeDomainModelReference()`

### getDynamicContainmentTreeDomainModelReference_PathFromBase

    org.eclipse.emf.ecore.EReference getDynamicContainmentTreeDomainModelReference_PathFromBase()

  Returns the meta object for the containment reference ' `Path From Base`'.

  Returns:
    the meta object for the containment reference 'Path From Base'.
  See Also:
    `DynamicContainmentTreeDomainModelReference.getPathFromBase()`, `getDynamicContainmentTreeDomainModelReference()`

### getModelFactory

    ModelFactory getModelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.